#include "ScreenManager.h"
#include "Config.h"


ScreenManager* BaseScreen::getScreenManager()
{
  return mScreenManager;
}

unsigned long BaseScreen::getCurrentTime()
{
  return mScreenManager->getCurrentTime();
}

LiquidCrystal* BaseScreen::getDisplay()
{
  return mScreenManager->getDisplay();
}


void BaseScreen::printTime(int value)
{
  String minutes = String(value / 60);
  String seconds = String(value % 60);
  int textLength = minutes.length() + 1 + 2;
  
  getDisplay()->print(minutes);
  getDisplay()->print(":");

  if (seconds.length() == 1)
    getDisplay()->print("0");
    
  getDisplay()->print(seconds);

  for (int space = textLength + 1; space < LCDWidth; space++)
    getDisplay()->print(" ");
}

