#ifndef __ScreenMenu
#define __ScreenMenu

#include "ScreenManager.h"

/*
 * Menu screen
 *   Allows starting the timer or resetting the time to the last used value.
 */
class ScreenMenu : public BaseScreen
{
  private:
    int mSelected;
    unsigned long mLastActivity;
    
  protected:
    void updateLastActivity();
    
    void printExposureTime();
    void printMenuCursor();
  
  public:
    ScreenMenu(ScreenManager* screenManager) : BaseScreen(screenManager) { }
    
    void onShow();
    void onHide();
    
    void onButton();
    void onEncoder(long lastPosition, long newPosition);
    void onTick();
};

#endif
